package spam.exception;

/**
 * @author Andreas Taranetz
 *
 *         Informs about an operator inside the operator tree
 */
public class PatternTreeFactoryException extends SpamException {

	private static final long serialVersionUID = 6192320158549719544L;

	public PatternTreeFactoryException() {
		super();
	}

	public PatternTreeFactoryException(String message, Throwable cause) {
		super(message, cause);
	}

	public PatternTreeFactoryException(String message) {
		super(message);
	}

	public PatternTreeFactoryException(Throwable cause) {
		super(cause);
	}

}
