package spam.exception;

/**
 * @author Andreas Taranetz
 *
 *         Informs about an operator inside the operator tree
 */
public class UnsupportedOperatorForPatternTreeException extends SpamException {

	private static final long serialVersionUID = 6192920858549719544L;

	public UnsupportedOperatorForPatternTreeException() {
		super();
	}

	public UnsupportedOperatorForPatternTreeException(String message, Throwable cause) {
		super(message, cause);
	}

	public UnsupportedOperatorForPatternTreeException(String message) {
		super(message);
	}

	public UnsupportedOperatorForPatternTreeException(Throwable cause) {
		super(cause);
	}

}
