package spam.exception;

/**
 * @author Andreas Taranetz
 *
 *         Informs about an operator inside the operator tree
 */
public class UntransformableOperatorException extends SpamException {

	private static final long serialVersionUID = 6192920158542719544L;

	public UntransformableOperatorException() {
		super();
	}

	public UntransformableOperatorException(String message, Throwable cause) {
		super(message, cause);
	}

	public UntransformableOperatorException(String message) {
		super(message);
	}

	public UntransformableOperatorException(Throwable cause) {
		super(cause);
	}
}
