/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package spam.transformationRules;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

import spam.exception.PatternTreeFactoryException;
import spam.exception.UnsupportedOperatorForPatternTreeException;
import spam.model.TreePattern;
import spam.model.TreePatternFactory;

import com.hp.hpl.jena.query.QueryFactory;

/**
 *
 * @author Andres Letelier
 */
public class TransformationRulesTest {

	/**
	 * Test of R1 method, of class TransformationUtilities.
	 * 
	 * @throws UnsupportedOperatorForPatternTreeException
	 */
	@Test
	public void testR1() throws PatternTreeFactoryException {
		// TODO write a proper test here
		System.out.println("R1 and R1check");
		TreePattern tree = TreePatternFactory.create(QueryFactory.create("select * where {?X <a> ?Y . ?a ?b <x> OPTIONAL { ?a ?b <x>} OPTIONAL {?a ?b <x> . ?a ?b ?c OPTIONAL {?a ?b ?c}} }"));
		assertTrue(TransformationUtilities.R1check(tree));
		assertTrue(TransformationUtilities.R1(tree));
		assertFalse(TransformationUtilities.R1(tree));
		assertFalse(TransformationUtilities.R1check(tree));
		System.out.println(tree);
	}

	/**
	 * Test of R2 method, of class TransformationUtilities.
	 * 
	 * @throws UnsupportedOperatorForPatternTreeException
	 */
	@Test
	public void testR2() throws PatternTreeFactoryException {
		// TODO write a proper test here as well
		System.out.println("R2");
		TreePattern tree = TreePatternFactory.create(QueryFactory.create("select * where {?X <a> <b> OPTIONAL {?X <b> <y> OPTIONAL {<a> ?y <z>} OPTIONAL{ ?a ?b ?c}}}"));
		assertTrue(TransformationUtilities.R2(tree));
		assertFalse(TransformationUtilities.R2(tree));
	}
}
