package spam.exception;

/**
 * @author Andreas Taranetz
 *
 *         Informs about an operator inside the operator tree
 */
public class UnsupportedOperatorForSubsumptionException extends SpamException {

	private static final long serialVersionUID = 6192920158549719544L;

	public UnsupportedOperatorForSubsumptionException() {
		super();
	}

	public UnsupportedOperatorForSubsumptionException(String message, Throwable cause) {
		super(message, cause);
	}

	public UnsupportedOperatorForSubsumptionException(String message) {
		super(message);
	}

	public UnsupportedOperatorForSubsumptionException(Throwable cause) {
		super(cause);
	}

}
