package spam.model;

import com.hp.hpl.jena.query.Dataset;

/**
 * Manages a dataset
 * 
 * @author Andres Letelier
 */
public class DatasetComponent {

	private Dataset data;
	private String name;

	@Override
	public String toString() {
		return name;
	}

	public DatasetComponent(String name, Dataset data) {
		this.data = data;
		this.name = name;
	}

	public Dataset getDataset() {
		return data;
	}

	public String getDatasetName() {
		return name;
	}

	public void setDatasetName(String name) {
		this.name = name;
	}

	public void setDataset(Dataset data) {
		this.data = data;
	}
}
