/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package spam.model;

import java.util.LinkedList;
import java.util.List;

import spam.gui.graph.GraphicalNode;

/**
 *
 * @author sebi
 */
public class SubtreeMatch {

	private final GraphicalNode match;
	private final List<SubtreeMatch> subtreeMatches;

	public SubtreeMatch(TreePatternNode pattern, GraphicalNode match) {
		this.match = match;
		this.subtreeMatches = new LinkedList<SubtreeMatch>();
	}

	public SubtreeMatch(TreePatternNode pattern, GraphicalNode match, List<SubtreeMatch> subtreeMatches) {
		this.match = match;
		this.subtreeMatches = subtreeMatches;
	}

	public GraphicalNode getMatch() {
		return this.match;
	}

	public List<SubtreeMatch> getSubtreeMatches() {
		return this.subtreeMatches;
	}

	public void setCounterexampleNodes() {
		this.match.setCounterexample();

		for (SubtreeMatch child : this.subtreeMatches) {
			child.setCounterexampleNodes();
		}
	}

}
