/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package spam.model;

import spam.model.TreePattern.WdConflict;

/**
 *
 * @author sebi
 */
public class WdConflictComponent {

	private final WdConflict conflict;

	private static WdConflictComponent wdSelected = null;
	private static WdConflictComponent qwdSelected = null;

	public WdConflictComponent(WdConflict conflict) {
		this.conflict = conflict;
	}

	public WdConflict getConflict() {
		return this.conflict;
	}

	@Override
	public String toString() {
		return "?" + conflict.getVarname();
	}

	public static WdConflictComponent wdSelectionChanged(WdConflictComponent newC) {

		if (wdSelected == newC) {
			// nothing changed
			return null;
		}

		wdSelected = newC;
		return newC;
	}

	public static WdConflictComponent qwdSelectionChanged(WdConflictComponent newC) {

		if (qwdSelected == newC) {
			// nothing changed
			return null;
		}

		qwdSelected = newC;
		return newC;
	}

}
